Analytics
Position Concentration
Returns position concentration analysis and top holders for a market. Only available for Polymarket and Limitless.
GET
/
v1
/
api
/
positions
/
concentration
Position concentration
curl --request GET \
--url https://api.dotprediction.io/v1/api/positions/concentration \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.dotprediction.io/v1/api/positions/concentration"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.dotprediction.io/v1/api/positions/concentration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"market_id": "<string>",
"platform": "<string>",
"title": "<string>",
"concentration": {
"top_10_share": 123,
"top_20_share": 123,
"hhi": 123,
"total_holders": 123,
"total_shares": 123
},
"top_holders": [
{
"rank": 123,
"address": "<string>",
"display_name": "<string>",
"outcome": "<string>",
"shares": 123,
"share_of_total": 123,
"current_value": 123,
"entry_price_avg": 123,
"unrealized_pnl": 123,
"trade_count": 123,
"first_trade": 123,
"last_trade": 123
}
],
"meta": {
"platforms": [
"<string>"
],
"request_time": 123,
"data_completeness": "<string>",
"trades_analyzed": 123
}
}{
"error": {
"status": 123,
"message": "<string>",
"resolution": "<string>",
"error_text": "<string>"
}
}{
"error": {
"status": 123,
"message": "<string>",
"resolution": "<string>",
"error_text": "<string>"
}
}Authorizations
API key for authentication. Generate one via the dashboard or the /v1/api/auth/api-keys endpoint.
Query Parameters
Platform to query.
Available options:
polymarket, limitless The market ID to analyze.
Max results to return (default 20, max 100).
Required range:
x <= 100⌘I
Position concentration
